
dofile("Base.rte/Constants.lua")
require("AI/NativeCrabAI")
--dofile("plasmorgang.rte/Actors/Nova/NativeNovaAI.lua")	--dofile("Base.rte/AI/NativeCrabAI.lua")

function Create(self)
	--self.AI = NativeNovaAI:Create(self)
	self.AI = NativeCrabAI:Create(self)
	self.mapwrapx = SceneMan.SceneWrapsX;
	self.fuzeactive = false;
	self.boomtimer = Timer();
	self.flashtimer = Timer();
end

function UpdateAI(self)
	self.AI:Update(self)
end

function NovaSeekBrain(self)
	self.AIMode = 4;
end

function Update(self)
	--local distVector = SceneMan:ShortestDistance(self.Pos,self.tPos,self.mapwrapx);
	for actor in MovableMan.Actors do
		if actor.Team ~= self.Team then
			self.potentialfoedist = SceneMan:ShortestDistance(self.Pos,actor.Pos,SceneMan.SceneWrapsX);
				if self.potentialfoedist.Magnitude <= 100 and SceneMan:CastStrengthRay(self.Pos,self.potentialfoedist:SetMagnitude(self.potentialfoedist.Magnitude-actor.Radius),0,Vector(0,0),5,0,SceneMan.SceneWrapsX) == false then
					self.fuzeactive = true;
				elseif self.potentialfoedist.Magnitude >= 250 and SceneMan:CastStrengthRay(self.Pos,self.potentialfoedist:SetMagnitude(self.potentialfoedist.Magnitude-actor.Radius),0,Vector(0,0),5,0,SceneMan.SceneWrapsX) == false then
					self.fuzeactive = false;
				end
			end
	end
	if self.fuzeactive == true then
		if self.boomtimer:IsPastSimMS(2250) and not self.boomtimer:IsPastSimMS(3000) then
			if self.flashtimer:IsPastSimMS(40) then
				ToActor(self):FlashWhite(10);
				self.flashtimer:Reset();
			end
		elseif self.boomtimer:IsPastSimMS(1500) and not self.boomtimer:IsPastSimMS(2000) then
			if self.flashtimer:IsPastSimMS(90) then
				ToActor(self):FlashWhite(10);
				self.flashtimer:Reset();
			end
		elseif not self.boomtimer:IsPastSimMS(750) then
			if self.flashtimer:IsPastSimMS(115) then
				ToActor(self):FlashWhite(10);
				self.flashtimer:Reset();
			end
		end
		if self.boomtimer:IsPastSimMS(3000) then

			local i = 0;
		
			while i < 40 do
				local e = CreateAEmitter("plasmorgang.rte/Nova Mucus");
				e.Vel = Vector(math.random(5,40),0):RadRotate(math.random()*(math.pi*2)) + self.Vel;
				e.Pos = self.Pos;
				e.Team = self.Team;
				e.IgnoresTeamHits = true;
				MovableMan:AddMO(e);
				i = i+1;
			end
			
			local n = 0;
			
			while n < 15 do
				local m = CreateMOSParticle("Tiny Smoke Ball 1");
				m.Vel = Vector(math.random(15,30),0):RadRotate(math.random()*(math.pi*2));
				m.Pos = self.Pos;
				m.Team = self.Team;
				m.IgnoresTeamHits = true;
				MovableMan:AddMO(m);
				n = n+1;
			end
    	
			local p = 0;
    	
			while p < 16 do
				local q = CreateMOSParticle("Small Smoke Ball 1");
				q.Vel = Vector(math.random(-9,42),0):RadRotate(math.random()*(math.pi*2));
				q.Pos = self.Pos;
				q.Team = self.Team;
				q.IgnoresTeamHits = true;
				MovableMan:AddMO(q);
				p = p+1;
			end
    	
			local r = 0;
			
			while r < 20 do
				local s = CreateMOPixel("plasmorgang.rte/Reptiloid Blood");
				s.Vel = Vector(math.random(1,12),0):RadRotate(math.random()*(math.pi*2));
				s.Pos = self.Pos;
				s.Team = self.Team;
				s.IgnoresTeamHits = true;
				MovableMan:AddMO(s);
				r = r+1;
			end
			
			local qe = CreateMOPixel("Glow Explosion Huge");
			qe.Pos = self.Pos;
			qe.Team = self.Team;
			qe.IgnoresTeamHits = true;
			MovableMan:AddMO(qe);
		
			local sfx = CreateMOSRotating("plasmorgang.rte/Wasat Hit Sound");
			sfx.Pos = self.Pos;
			sfx:GibThis();
			MovableMan:AddParticle(sfx);
		
			self.ToDelete = true;
			ActivityMan:GetActivity():ReportDeath(self.Team,-1);
		
		end
	else
		self.boomtimer:Reset();
		self.flashtimer:Reset();
	end
end

function Destroy(self)
	self.AI:Destroy(self)
end
