
dofile("Base.rte/Constants.lua")
require("AI/NativeHumanAI")  --dofile("Base.rte/AI/NativeHumanAI.lua")

function Create(self)
	self.AI = NativeHumanAI:Create(self)
	self.canAggro = true;
	ac = tostring(ActivityMan:GetActivity());
	--print(self.Health)
end

function Update(self)
	--Aggro into brainhunting if the unit (self) is hurt and we are not Team 0 (the player's team)
	if self.canAggro == true and ac == "Void Wanderers, GAScripted" and self.Team ~= 0 and self.Health < 100 then
		self.AIMode = Actor.AIMODE_BRAINHUNT;
		self.chatter = CreateAEmitter("plasmorgang.rte/Reptiloid Chatter Sound");
		self.chatter:EnableEmission(true);
		self.chatter.Pos = self.Pos;
		self.chatter.Team = self.Team;
		MovableMan:AddParticle(self.chatter);
		self.canAggro = false;
	end
	
	if self.EquippedItem ~= nil then
		if self.EquippedItem.PresetName == "Antares Long-Range Siege Rifle" and not self:IsPlayerControlled() then
			self.AimDistance = 1000;
			self.Perceptiveness = 2.0;
		elseif self.EquippedItem.PresetName == "Merope Hunting Rifle" and not self:IsPlayerControlled() then
			self.AimDistance = 100;
		else
			self.AimDistance = 40;
			self.Perceptiveness = 1.0;
		end
	end
end

function UpdateAI(self)
	self.AI:Update(self)
end

function Destroy(self)
	self.AI:Destroy(self)
end
