function Create(self)
     self.lifeTimer = Timer();                      
end


function Update(self)

	if self.lifeTimer:IsPastSimMS(3000) and self:IsActivated() then

		local velFactor = GetPPM() * TimerMan.DeltaTimeSecs;
		local checkVect = self.Vel * velFactor;
		
    	local i = 0;

		while i < 25 do
    		local e = CreateMOSParticle("plasmorgang.rte/Celaeno Fragment A");
    		e.Vel = Vector(math.random(30,90),0):RadRotate(math.random()*(math.pi*2));
    		e.Pos = self.Pos + (checkVect * 0.6);
			e.Team = self.Team;
			e.IgnoresTeamHits = true;
    		MovableMan:AddMO(e);
    		i = i+1;
		end
    	
		local j = 0;
    	
		while j < 14 do
    		local k = CreateMOSParticle("plasmorgang.rte/Celaeno Fragment B");
    		k.Vel = Vector(math.random(20,60),0):RadRotate(math.random()*(math.pi*2));
    		k.Pos = self.Pos + (checkVect * 0.6);
			k.Team = self.Team;
			k.IgnoresTeamHits = true;
    		MovableMan:AddMO(k);
    		j = j+1;
		end
    	
		local n = 0;
    	
		while n < 14 do
    		local m = CreateMOSParticle("plasmorgang.rte/Celaeno Fragment C");
    		m.Vel = Vector(math.random(15,98),0):RadRotate(math.random()*(math.pi*2));
    		m.Pos = self.Pos + (checkVect * 0.6);
			m.Team = self.Team;
			m.IgnoresTeamHits = true;
    		MovableMan:AddMO(m);
    		n = n+1;
		end
    	
		local p = 0;
    	
		while p < 12 do
    		local q = CreateMOPixel("Glow Particle Yellow Small");
    		q.Vel = Vector(math.random(5,12),0):RadRotate(math.random()*(math.pi*2));
    		q.Pos = self.Pos + (checkVect * 0.6);
			q.Team = self.Team;
			q.IgnoresTeamHits = true;
    		MovableMan:AddMO(q);
    		p = p+1;
		end
    
		local r = CreateMOPixel("Glow Explosion Huge");
    	r.Vel = Vector(math.random(5,12),0):RadRotate(math.random()*(math.pi*2));
    	r.Pos = self.Pos + (checkVect * 0.6);
		r.Team = self.Team;
		r.IgnoresTeamHits = true;
    	MovableMan:AddMO(r);
    	
		local s = 0;
    	
		while s < 15 do
    		local t = CreateMOPixel("Grenade Fragment Gray");
    		t.Vel = Vector(math.random(35,62),0):RadRotate(math.random()*(math.pi*2));
    		t.Pos = self.Pos + (checkVect * 0.6);
			t.Team = self.Team;
			t.IgnoresTeamHits = true;
    		MovableMan:AddMO(t);
    		s = s+1;
		end
    	
		local ww = 0;
    	
		while ww < 8 do
    		local z = CreateMOPixel("Grenade Fragment Gray");
    		z.Vel = Vector(math.random(35,62),0):RadRotate(math.random()*(math.pi*2));
    		z.Pos = self.Pos + (checkVect * 0.6);
			z.Team = self.Team;
			z.IgnoresTeamHits = true;
    		MovableMan:AddMO(z);
    		ww = ww+1;
		end
		
		local sfx = CreateMOSRotating("Browncoat Fuel Bomb Burn Sound");
		sfx.Pos = self.Pos;
		sfx:GibThis();
		MovableMan:AddParticle(sfx);
		
		self.ToDelete = true;
	elseif not self:IsActivated() then
		self.lifeTimer:Reset();
	end
end