function Create(self)
	Pleionechangemag = false;
	Pleionecurrentmag = 1;
	--print(Pleionecurrentmag);
	
	-- Make the activity name a string...
	ac = tostring(ActivityMan:GetActivity());
	if ac == "Void Wanderers, GAScripted" and self:IsAttached() then --That way, when this device is created, it defaults to medium or heavy mode in Void Wanderers.
		if math.random() < 0.9 then
			self:SetNextMagazineName("Pleione Magazine B");
			Pleionecurrentmag = 2;
			Pleionechangemag = true;
			self.ReloadTime = 1350;
			self.RateOfFire = 15500;
			self:Reload();
		else
			self:SetNextMagazineName("Pleione Magazine D");
			Pleionecurrentmag = 4;
			Pleionechangemag = true;
			self.ReloadTime = 2000;
			self.RateOfFire = 17000;
			self:Reload();
		end
	elseif self:IsAttached() then
		local actor = MovableMan:GetMOFromID(self.RootID);
		if MovableMan:IsActor(actor) and (actor.PresetName == "Light Reptiloid" or actor.PresetName == "Heavy Reptiloid" or actor.PresetName == "Magmatic Warlord" or actor.PresetName == "Magmatic Brute") then
			if math.random() < 0.5 then
				self:SetNextMagazineName("Pleione Magazine B");
				Pleionecurrentmag = 2;
				Pleionechangemag = true;
				self.ReloadTime = 1350;
				self.RateOfFire = 16000;
				self:Reload();
			else
				self:SetNextMagazineName("Pleione Magazine C");
				Pleionecurrentmag = 4;
				Pleionechangemag = true;
				self.ReloadTime = 2000;
				self.RateOfFire = 12000;
				self:Reload();
			end
		elseif MovableMan:IsActor(actor) and actor.PresetName == "Reptiloid Hero" then
			self:SetNextMagazineName("Pleione Magazine D");
			Pleionecurrentmag = 4;
			Pleionechangemag = true;
			self.ReloadTime = 1250;
			self.RateOfFire = 15000;
			self:Reload();
		end
	end
	
end

function Update(self)
	
	if self:DoneReloading() and Pleionechangemag == true then
		Pleionechangemag = false;
	end
	
	if self.Magazine ~= nil and self.Magazine.RoundCount <= 0 then
		self:Reload();
	end

end

function PleioneLight(actor)
	local digger = ToAHuman(actor).EquippedItem;
	if digger ~= nil then
		digger = ToHDFirearm(digger);
		if Pleionecurrentmag ~= 1 and Pleionechangemag == false and not digger:IsReloading() then
			--if Activity:GetTeamFunds( Team )
				digger:SetNextMagazineName("Pleione Magazine A");
				Pleionecurrentmag = 1;
				Pleionechangemag = true;
				digger.ReloadTime = 1500;
				digger.RateOfFire = 15000;
				digger:Reload();
			--end
		end
	end
end

function PleioneMedium(actor)
	local digger = ToAHuman(actor).EquippedItem;
	if digger ~= nil then
		digger = ToHDFirearm(digger);
		if Pleionecurrentmag ~= 2 and Pleionechangemag == false and not digger:IsReloading() then
			--if Activity:GetTeamFunds( Team )
				digger:SetNextMagazineName("Pleione Magazine B");
				Pleionecurrentmag = 2;
				Pleionechangemag = true;
				digger.ReloadTime = 1750;
				digger.RateOfFire = 15500;
				digger:Reload();
			--end
		end
	end
end

function PleioneHeavy(actor)
	local digger = ToAHuman(actor).EquippedItem;
	if digger ~= nil then
		digger = ToHDFirearm(digger);
		if Pleionecurrentmag ~= 3 and Pleionechangemag == false and not digger:IsReloading() then
			--if Activity:GetTeamFunds( Team )
				digger:SetNextMagazineName("Pleione Magazine C");
				Pleionecurrentmag = 3;
				Pleionechangemag = true;
				digger.ReloadTime = 2000;
				digger.RateOfFire = 13000;
				digger:Reload();
			--end
		end
	end
end

function PleioneVeryHeavy(actor)
	local digger = ToAHuman(actor).EquippedItem;
	if digger ~= nil then
		digger = ToHDFirearm(digger);
		if Pleionecurrentmag ~= 4 and Pleionechangemag == false and not digger:IsReloading() then
			--if Activity:GetTeamFunds( Team )
				digger:SetNextMagazineName("Pleione Magazine D");
				Pleionecurrentmag = 4;
				Pleionechangemag = true;
				if actor:IsInGroup("Brains") then
					digger.RateOfFire = 19000;
					digger.ReloadTime = 1250;
				else
					digger.RateOfFire = 11000;
					digger.ReloadTime = 2500;
				end
				digger:Reload();
			--end
		end
	end
end
