function Create(self)
	self.baseVel = self.Vel;
end


function Update(self)

	self.Vel = self.baseVel;

	for i = 1, 24 do
		local checkPos = self.Pos + Vector(self.Vel.X,self.Vel.Y):SetMagnitude(8):RadRotate((i/24)*(math.pi*2));
		if SceneMan.SceneWrapsX == true then
			if checkPos.X > SceneMan.SceneWidth then
				checkPos = Vector(checkPos.X - SceneMan.SceneWidth,checkPos.Y);
			elseif checkPos.X < 0 then
				checkPos = Vector(SceneMan.SceneWidth + checkPos.X,checkPos.Y);
			end
		end
		local terrCheck = SceneMan:GetTerrMatter(checkPos.X,checkPos.Y);
		if terrCheck == 0 then
			local moCheck = SceneMan:GetMOIDPixel(checkPos.X,checkPos.Y);
			if moCheck ~= 255 then
				local actor = MovableMan:GetMOFromID( MovableMan:GetMOFromID(moCheck).RootID );
				if actor.Team ~= self.Team or actor.ClassName == "ADoor" then
					self:TriggerBurst();
					self.ToDelete = true;
				end
			end
		else
			self.ToDelete = true;
		end
	end
	

	if self.ToDelete == true or self.ToSettle == true or self.GibThis == true then

		local velFactor = GetPPM() * TimerMan.DeltaTimeSecs;
		local checkVect = self.Vel * velFactor;
		
		self:TriggerBurst();
		
    	local i = 0;

		while i < 60 do
			--local DamageVect = (math.random(-1000,1000)*(math.pi/2))/1000;
    		local e = CreateMOPixel("plasmorgang.rte/Wasat Fragment");
    		e.Vel = Vector(math.random(15,55),0):RadRotate(math.random()*(math.pi*2));
			--e.Vel = e.Vel + (math.random() * self.baseVel);
    		e.Pos = self.Pos;
			e.Team = self.Team;
			e.IgnoresTeamHits = true;
    		MovableMan:AddMO(e);
    		i = i+1;
		end
    	
		local n = 0;
    	
		while n < 15 do
    		local m = CreateMOSParticle("Tiny Smoke Ball 1");
    		m.Vel = Vector(math.random(5,20),0):RadRotate(math.random()*(math.pi*2));
    		--m.Vel = m.Vel - ((math.random(800,2000)/1000) * self.baseVel);
    		m.Pos = self.Pos + (checkVect * 0.6);
			m.Team = self.Team;
			m.IgnoresTeamHits = true;
    		MovableMan:AddMO(m);
    		n = n+1;
		end
    	
		local p = 0;
    	
		while p < 13 do
    		local q = CreateMOSParticle("Small Smoke Ball 1");
    		q.Vel = Vector(math.random(-9,12),0):RadRotate(math.random()*(math.pi*2));
			--q.Vel = q.Vel - ((math.random(800,2000)/1000) * self.baseVel);
    		q.Pos = self.Pos + (checkVect * 0.6);
			q.Team = self.Team;
			q.IgnoresTeamHits = true;
    		MovableMan:AddMO(q);
    		p = p+1;
		end
		
		local sfx = CreateMOSRotating("plasmorgang.rte/Wasat Hit Sound");
		sfx.Pos = self.Pos;
		sfx:GibThis();
		MovableMan:AddParticle(sfx);
    

	end
end
--[[
function Destroy(self)
	ActivityMan:GetActivity():ReportDeath(self.Team,-1);
end
]]--