function Create(self)

	self.savelife = false;
	self.firstSave = false;
	self.saveTimer = Timer();

	self.reloaded = false;
	self.ammoCounter = 0;

end

function Update(self)
	
	local actor = MovableMan:GetMOFromID(self.RootID);

	if MovableMan:IsActor(actor) then
		if ToActor(actor).Health <= 25 and self.savelife == false then
			self.SharpLength = 200;
			self.ReloadTime = 100;
			--[[if self.Magazine ~= nil then
				self.Magazine.RTTRatio = 1;
				print(self.Magazine.RTTRatio);
			end]]--
			if self.Magazine ~= nil then
				if self.HFlipped == false then
					self.reverseNum = 1;
				else
					self.reverseNum = -1;
				end
				if self.reloaded == false then
					self.reloaded = true;
					self.ammoCounter = self.Magazine.RoundCount;
				else
					if self.ammoCounter ~= self.Magazine.RoundCount then
						local dsp = 0;
						while dsp < 10 do
							--print("working?")
							--print(self.Pos)
							local dspBullet = CreateMOPixel("plasmorgang.rte/Particle Proxima Centauri Desperate");
							dspBullet.Vel = Vector(125*self.reverseNum,0):RadRotate(self.RotAngle);
							dspBullet.Pos = self.Pos + Vector(10,0):RadRotate(self.RotAngle);
							dspBullet.Team = self.Team;
							dspBullet.IgnoresTeamHits = true;
							MovableMan:AddParticle(dspBullet);
							--print(dspBullet.Pos)
							dsp = dsp+1;
						end
					end
					self.ammoCounter = self.Magazine.RoundCount;
				end
			else
				self.reloaded = false;
			end
			--[[
			if self.Magazine ~= nil then
				local prxCounter = self.Magazine.RoundCount;
			
				if self:IsActivated() and self.Magazine.RoundCount ~= prxCounter then
		
					local dsp = 0;
					while dsp < 10 do
						print("working?")
						local dspBullet = CreateMOPixel("plasmorgang.rte/Particle Proxima Centauri Desperate");
						dspBullet.Vel = Vector(5000,0):RadRotate(self.RotAngle);
						dspBullet.Pos = self.Pos + self.MuzzleOffset;
						dspBullet.Team = self.Team;
						dspBullet.IgnoresTeamHits = true;
						MovableMan:AddMO(dspBullet);
						dsp = dsp+1;
					end
				
				end
			
			end]]--
			if ToActor(actor).Health < 10 then
				self.savelife = true;
				local e = CreateMOPixel("Glow Particle Yellow Big");
				e.Vel = ToActor(actor).Vel;
				e.Pos = ToActor(actor).Pos;
				e.Team = self.Team;
				e.IgnoresTeamHits = true;
				local sfx = CreateMOSRotating("plasmorgang.rte/Proxima Recovery SFX");
				sfx.Pos = self.Pos;
				sfx:GibThis();
				MovableMan:AddParticle(sfx);
				MovableMan:AddMO(e);
				ToActor(actor).Health = 100;
				ToActor(actor):RemoveWounds(100);
			end
		else
			self.SharpLength = 40;
			self.ReloadTime = 400;
			--[[if self.Magazine ~= nil then
				self.Magazine.RTTRatio = 0;
			end]]--
		end
	end
	
	if self.savelife == false then
		self.saveTimer:Reset();
	elseif self.savelife == true then
		if self.firstSave == false then
			if self.saveTimer:IsPastSimMS(2500) then
				if math.random() >= 0.15 then
					self.savelife = false;
					if self.firstSave == false then
						self.firstSave = true;
					end
				end
				self.saveTimer:Reset();
			end
		end
		if self.firstSave == true then
			if self.saveTimer:IsPastSimMS(5500) then
				if math.random() >= 0.525 then
					self.savelife = false;
				end
				self.saveTimer:Reset();
			end
		end
	end

end