function Create(self)

	self.actionPhase = 0;
	self.stuck = false;
	self.lifeTimer = Timer();
	self.damageTimer = Timer();
	self.Scale = 0;
	self.damageQueue = 0;

	self.duration = 250;
	self.damagePerSecond = 3;
	self.craftDamageMult = 0.2;
	
	self.PinStrength = 0;
	self.Vel = Vector(self.Vel.X,self.Vel.Y):SetMagnitude(100);
end

function Update(self)

	--[[
	local Effect2
	local Offset = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel
	local Offset2 = self.Vel*(20*TimerMan.DeltaTimeSecs)	-- the effect will be created the next frame so move it one frame backwards towards the barrel
	
	local trailLength2 = math.floor((Offset.Magnitude+0.5)/1.8)
	for i = 1, trailLength2, 1 do
		Effect2 = CreateMOSParticle("Luyten Trail", "PlasmorGang.rte")
		if Effect2 then
			Effect2.Pos = self.Pos - Offset * (i/trailLength2) -- + Vector(RangeRand(-1, 1), RangeRand(-1, 1))
			--Effect2.Vel = self.Vel:RadRotate(math.random()*(math.pi*2)) * 0.1;
			MovableMan:AddParticle(Effect2)
		end
	end
	]]--
	if self.actionPhase == 0 then
		local rayHitPos = Vector(0,0);
		local rayHit = false;
		local scanamount = self.Vel.Magnitude*TimerMan.DeltaTimeSecs*GetPPM();
		for i = 1, scanamount do
			local checkPos = self.Pos + Vector(self.Vel.X,self.Vel.Y):SetMagnitude(i);
			local checkPix = SceneMan:GetMOIDPixel(checkPos.X,checkPos.Y);
			if checkPix ~= rte.NoMOID and (self.ID == rte.NoMOID or (self.ID ~= rte.NoMOID and checkPix ~= self.ID)) and MovableMan:GetMOFromID(checkPix).Team ~= self.Team then
				checkPos = checkPos + SceneMan:ShortestDistance(checkPos,self.Pos,SceneMan.SceneWrapsX):SetMagnitude(3);
				self.target = MovableMan:GetMOFromID(checkPix);
				self.stickpositionX = checkPos.X-self.target.Pos.X;
				self.stickpositionY = checkPos.Y-self.target.Pos.Y;
				self.stickrotation = self.target.RotAngle;
				self.stickdirection = self.RotAngle;
				self.stuck = true;
				self.Scale = 1;
				self:EnableEmission(true);
				rayHit = true;
				self.lifeTimer:Reset();
				self.duration = 5000;
				self.damageTimer:Reset();
				local sfx = CreateAEmitter("Luyten Hit SFX Emitter", "PlasmorGang.rte");
				sfx.Pos = self.Pos;
				MovableMan:AddParticle(sfx);
				break;
			end
		end
		if rayHit == true then
			self.actionPhase = 1;
		else
			if SceneMan:CastStrengthRay(self.Pos,Vector(self.Vel.X,self.Vel.Y):SetMagnitude(15),0,rayHitPos,0,0,SceneMan.SceneWrapsX) == true then
				self.ToDelete = true;
			end
		end
	elseif self.actionPhase == 1 then
		if self.target ~= nil and self.target.ID ~= 255 then
			self.Pos = self.target.Pos + Vector(self.stickpositionX,self.stickpositionY):RadRotate(self.target.RotAngle-self.stickrotation);
			self.RotAngle = self.stickdirection+(self.target.RotAngle-self.stickrotation);
			self.PinStrength = 1000;
			self.Vel = Vector(0,0);
			local damagemult = 1;
			local actor = MovableMan:GetMOFromID(self.target.RootID);
			if MovableMan:IsActor(actor) then
				if actor.ClassName == "ACRocket" or actor.ClassName == "ACDropShip" then
					damagemult = damagemult * self.craftDamageMult;
				end
				self.damageQueue = self.damageQueue + (self.damagePerSecond*(self.damageTimer.ElapsedSimTimeMS/1000)*damagemult);
				if ToActor(actor):GetController():IsState(Controller.BODY_JUMP) or ToActor(actor):GetController():IsState(Controller.MOVE_LEFT) or ToActor(actor):GetController():IsState(Controller.MOVE_RIGHT) or ToActor(actor):GetController():IsState(Controller.MOVE_RIGHT) then
					self.damageQueue = self.damageQueue * (2 + actor.Vel.Magnitude);
					self.duration = self.duration + 200;
				end
				self.damageTimer:Reset();
				if self.damageQueue > 1 then
					local damagething = math.floor(self.damageQueue);
					self.damageQueue = self.damageQueue - damagething;
					ToActor(actor).Health = ToActor(actor).Health - damagething;
				end
			end
		else
			self.ToDelete = true;
		end
	end

	if self.lifeTimer:IsPastSimMS(self.duration) then
		self.ToDelete = true;
	end

end