
function FirstDetonation(self)
--[[
	local sfx = CreateMOSRotating("plasmorgang.rte/Taygeta Explosion SFX");
	sfx.Pos = self.Pos;
	sfx:GibThis();
	MovableMan:AddParticle(sfx);]]--
	
	local velFactor = GetPPM() * TimerMan.DeltaTimeSecs;
		
    local ii = 0;

	while ii < 36 do
    	local e = CreateMOPixel("Grenade Fragment Gray");
    	e.Vel = Vector(math.random(5,55),0):RadRotate(math.random()*(math.pi*2));
    	e.Pos = self.Pos;
		e.Team = self.Team;
		e.IgnoresTeamHits = true;
    	MovableMan:AddMO(e);
    	ii = ii+1;
	end
    	
	local j = 0;
    	
	while j < 40 do
    	local k = CreateMOPixel("Grenade Fragment Yellow");
    	k.Vel = Vector(math.random(5,55),0):RadRotate(math.random()*(math.pi*2));
    	k.Pos = self.Pos;
		k.Team = self.Team;
		k.IgnoresTeamHits = true;
    	MovableMan:AddMO(k);
    	j = j+1;
	end
    	
	local n = 0;
    	
	while n < 13 do
    	local m = CreateMOPixel("plasmorgang.rte/Merak Glow Particle 1");
    	m.Vel = Vector(math.random(15,48),0):RadRotate(math.random()*(math.pi*2));
    	m.Pos = self.Pos;
		m.Team = self.Team;
		m.IgnoresTeamHits = true;
    	MovableMan:AddMO(m);
    	n = n+1;
	end
    	
	local p = 0;
    	
	while p < 9 do
    	local q = CreateMOPixel("Glow Particle Yellow Small");
    	q.Vel = Vector(math.random(25,32),0):RadRotate(math.random()*(math.pi*2));
    	q.Pos = self.Pos;
		q.Team = self.Team;
		q.IgnoresTeamHits = true;
    	MovableMan:AddMO(q);
    	local qa = CreateMOSParticle("Side Thruster Blast Ball 1");
    	qa.Vel = Vector(math.random(15,22),0):RadRotate(math.random()*(math.pi*2));
    	qa.Pos = self.Pos;
		qa.Team = self.Team;
		qa.IgnoresTeamHits = true;
    	MovableMan:AddMO(qa);
    	p = p+1;
	end
    	
	local q = 0;
    	
	while q < 7 do
    	local r = CreateMOPixel("plasmorgang.rte/Merak Glow Particle 1");
    	r.Vel = Vector(math.random(15,48),0):RadRotate(math.random()*(math.pi*2));
    	r.Pos = self.Pos;
		r.Team = self.Team;
		r.IgnoresTeamHits = true;
    	MovableMan:AddMO(r);
    	q = q+1;
	end
		
	self:GibThis();
end

function Create(self)

	self.detTimer = Timer();

	self.smallAngle = 6.28318/17;
	self.angleList = {};
	
	self.AngularVel = math.random(-5,5)

end

function Update(self)
	if self.detTimer:IsPastSimMS(4000) then
		self.angleList = {};
		for i = 1, 17 do
			local angleCheck = self.smallAngle*i;
			for i = 1, 5 do
				local checkPos = self.Pos + Vector(i,0):RadRotate(angleCheck);
				if SceneMan.SceneWrapsX == true then
					if checkPos.X > SceneMan.SceneWidth then
						checkPos = Vector(checkPos.X - SceneMan.SceneWidth,checkPos.Y);
					elseif checkPos.X < 0 then
						checkPos = Vector(SceneMan.SceneWidth + checkPos.X,checkPos.Y);
					end
				end
				local terrCheck = SceneMan:GetTerrMatter(checkPos.X,checkPos.Y);
				if terrCheck ~= 0 then
					break;
				end
				if i == 5 then
					self.angleList[#self.angleList+1] = angleCheck;
				end
			end
		end
		local minibomb = CreateAEmitter("plasmorgang.rte/Taygeta Double-Bomb Sub-Bomb");
		minibomb.Pos = self.Pos + Vector(0,-5);
		if #self.angleList > 0 then
			minibomb.Vel = Vector(20,0):RadRotate(self.angleList[math.random(#self.angleList)] + (math.random()*0.2) - 0.1);
		else
			print("FAIL");
			minibomb.Vel = Vector(20,0):DegRotate(45+((math.random()*15)-7.5));
		end
		minibomb.Team = self.Team;
		MovableMan:AddParticle(minibomb);
		FirstDetonation(self);
	end

end