function Create(self)

	self.reloaded = false;
	self.ammoCounter = 0;
	self.spinDownTimer = Timer();

	self.rofBase = 60;
	self.rofIncreasePerShot = 10;
	self.rofMax = 2460;
	self.rofTimeToReset = 30000;

end

function Update(self)

	if self.Magazine ~= nil then
		if self.reloaded == false then
			self.reloaded = true;
			self.ammoCounter = self.Magazine.RoundCount;
		else
			if self.ammoCounter ~= self.Magazine.RoundCount then
				self.spinDownTimer:Reset();
				self.RateOfFire = math.min(self.RateOfFire + (self.rofIncreasePerShot*(self.ammoCounter-self.Magazine.RoundCount)),self.rofMax);
			end
			self.ammoCounter = self.Magazine.RoundCount;
			if not self:IsActivated() then
				self.RateOfFire = math.max(self.RateOfFire - (self.rofMax-self.rofBase)*(self.spinDownTimer.ElapsedSimTimeMS/self.rofTimeToReset),self.rofBase);
				self.spinDownTimer:Reset();
			end
		end
	else
		self.reloaded = false;
	end

	--[[ COMPLETELY BROKEN; AI AUTO-RELOADS EVEN IF ONLY 1 ROUND WAS SPENT
	holder = MovableMan:GetMOFromID(self.RootID);
	if self:IsAttached() and self.Magazine ~= nil and self.Magazine.RoundCount ~= 0 then
		for actor in MovableMan.Actors do
			if not actor:IsPlayerControlled() and actor.EquippedItem == self then 
			ToActor(actor):GetController():SetState(Controller.WEAPON_RELOAD, false);
			end 
		end
	end
	]]--
end